Bug 6363 - hang when executing /sbin/pump [DHCP]
hang when executing /sbin/pump [DHCP]
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-25 23:19 EDT by yk
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-13 09:20:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yk 1999-10-25 23:19:16 EDT
I met a strange case.
I DLed a copy of RH6.1 and installed it on my PC.
In installation, everything is ok
 even if talked to the DHCP server for hiring an IP.
but after reboot, it hangup during
BuildUp the network interface eth0!
I skiped it and try to trace. I found it happened during
executing 'pump'!
It has no problem when I installed RH5.2/6.0 on it before.
Now I had to use static IP address.
Comment 1 kvasnica 1999-11-02 19:01:59 EST
I've installed RedHat 6.1 today and I'm having the same problem !
The only solution I found so far is to use static IP. During
install, BOOTP worked ok. How is it possible to trace the rc.d scripts
? Is there any debug setting ?
Comment 2 unicorn 1999-11-02 22:13:59 EST
Same problems here....
Fresh Install using DHCP works just fine.
First Boot hangs bringing up ETH0

But
boot: linux -s
and edit
/etc/sysconfig/network-scripts/ifcfg-eth0
to read:
DEVICE=eth0
BOOTPROTO=dhcp
ONBOOT=no

Reboot...System comes up....
If I do
ifup eth0
It hangs with on pump hitting 100% CPU after displaying:

Determining IP information for
eth0...

Funny thing....

dhcpcd works just fine....I put that in another script .

The bug is still with pump....

Thanks...
Comment 3 Erik Troan 2000-02-13 09:20:59 EST
This should be fixed in pump-0.7.6, which is availalbe from
ftp://people.redhat.com/ewt/pump-0.7.6/. Please reopen this bug if it
does not fix your problem.

Note You need to log in before you can comment on or make changes to this bug.